import { Facebook, Twitter, Instagram } from "lucide-react";
import React from "react";
import Image from "next/image";

function footer() {
  return (
    <footer className="w-full bg-[#F7F7F8] mt-10">
      <div className="px-8 pt-12 mx-auto max-w-[1600px]">
        <div className="grid grid-cols-2 gap-10 mb-3 md:grid-cols-3 lg:grid-cols-12 lg:gap-20">
          <div className="col-span-3">
            <Image src="/assets/Logo.svg" alt="logo" width={150} height={100} />
            <p className="my-4 text-xs leading-normal text-gray-500">
              HiBuyO is the biggest market of different products. Get your daily
              needs from our Website.
            </p>
          </div>
          <ul className="col-span-1 md:col-span-1 lg:col-span-2 text-sm text-gray-600 font-normal space-y-4">
            <li>
              <p className="mb-3  font-semibold text-black text-lg">Company</p>
            </li>
            <li>About Us</li>
            <li>Delivery Information</li>
            <li>Privacy Policy</li>
            <li>Terms & Conditions</li>
            <li>Contact Us</li>
            <li>Support Center</li>
          </ul>
          <ul className="col-span-1 md:col-span-1 lg:col-span-2 text-sm text-gray-600 font-normal space-y-4">
            <li>
              <p className="mb-3  font-semibold text-black text-lg">Category</p>
            </li>
            <li>Dairy & Bakery</li>
            <li>Fruits & Vegetable</li>
            <li>Snack & Spice</li>
            <li>Juice & Drinks</li>
            <li>Chicken</li>
            <li>Fast Food</li>
          </ul>
          <ul className="col-span-2 md:col-span-1 lg:col-span-2 text-sm text-gray-600 font-normal space-y-4">
            <li>
              <p className="mb-3  font-semibold text-black text-lg">
                Social Links
              </p>
            </li>
            <li className="flex items-center gap-3">
              <button className="bg-white text-black flex justify-center items-center h-9 w-9 border border-gray-400 rounded-lg ">
                <Facebook size={17} strokeWidth={1} />
              </button>{" "}
              Facebook
            </li>
            <li className="flex items-center gap-3">
              <button className="bg-white text-black flex justify-center items-center h-9 w-9 border border-gray-400 rounded-lg ">
                <Twitter size={17} strokeWidth={1} />
              </button>{" "}
              Twitter
            </li>
            <li className="flex items-center gap-3">
              <button className="bg-white text-black flex justify-center items-center h-9 w-9 border border-gray-400 rounded-lg ">
                <Instagram size={17} strokeWidth={1} />
              </button>{" "}
              Instagram
            </li>
          </ul>
          <div className="col-span-3">
            <p className="mb-3  font-semibold text-black text-[16px]">
              Subscribe Our Newsletter
            </p>
            <form action="#" className="mb-2">
              <div className="relative flex items-center overflow-hidden border border-gray-200 rounded-full">
                <input
                  className="w-full px-3 py-2 text-base leading-normal transition duration-150 ease-in-out bg-white appearance-none focus:outline-none text-sm"
                  type="email"
                  placeholder="Enter your email"
                />
                <button
                  className="px-3 py-2  text-sm font-medium text-center text-white no-underline bg-indigo-500 border-2 border-indigo-500"
                  type="submit"
                >
                  Subscribe
                </button>
              </div>
            </form>
          </div>
        </div>
        <div className="flex  justify-center  mt-8 p-4 border-t border-gray-200">
          <p className="mb-2 text-sm text-left text-gray-600 md:mb-0 ">
            © Copyright 2025 <span className="text-primary">Hibuy</span>. All
            Rights Reserved.
          </p>
        </div>
      </div>
    </footer>
  );
}

export default footer;
